Page MenuHomePhabricator

wild card domain-ip association in dns forwarding
Closed, InvalidPublicENHANCEMENT

Description

Please, can you implement wild card ( * ) in domain-ip associations (for example *.microsoft.com -> 127.0.0.1) in order to use them in DNS forwarding ?

At the present dns forwarding service uses only the /etc/hosts instead of dnsmasq to resolve static hostnames and domains (which do not permits wild card domains associations)

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
syncer triaged this task as Wishlist priority.Dec 29 2016, 10:38 PM
syncer added a project: VyOS 1.2 Crux.
syncer added a subscriber: VyOS 1.2 Crux.
pasik added a subscriber: pasik.Oct 1 2018, 9:54 AM
syncer assigned this task to c-po.
syncer changed the subtype of this task from "Task" to "Enhancement".Oct 20 2018, 4:49 AM
syncer changed the edit policy from "Public (No Login Required)" to "Custom Policy".Oct 20 2018, 10:03 PM
syncer set Version to -.
syncer set Why the issue appeared? to Will be filled on close.
c-po added a comment.Feb 10 2019, 3:35 PM

@oliveriandrea can you please retest with latest rolling release if it already works?

c-po added a comment.Feb 10 2019, 7:31 PM

Okay, a wildcard as in * does not work and is not supported by our underlying pdns-recursor.

domain "*.barbar.com" {
    server 172.16.100.10
    server 172.16.100.20
}

hence, why is a wildcard required? domain barbar.com will catch all queries ending on barbar.com, e.g test.foo.barbar.com

c-po closed this task as Invalid.EditedFeb 10 2019, 7:35 PM

Your given example can thus be enabled via set service dns forwarding domain microsoft.com server 127.0.0.1

syncer edited projects, added Rejected; removed VyOS 1.3 Equuleus.Mar 16 2019, 8:57 PM